// RESTFUl api 匹配无路由参数

import prisma from "@/lib/prisma";
import response from "@/lib/res";

// C -> Create
export async function POST(request) {
  const body = await request.json();
  //获取body参数
  const res = await prisma.collection.create({
    data: { ...body },
  });
  return response({ ...res }, "新建成功");
}

// R -> Read
export async function GET(request, { params }) {
  // query is "hello" for /api/search?query=hello
  // const slug = params.slug; // 路由参数
  try {
    const collections = await prisma.collection.findMany({
      where: {
        parentId: null, // 根目录
      },
      include: {
        folder: true,
      },
    });
    return response(collections);
  } catch (error) {
    return response(error, "err");
  }
}
