"use client";


import { getFetch } from "@/lib/doFetch";
import { useRequest } from "ahooks";
import { Button } from "@nextui-org/react";
import { ArrowLeftOutlined } from "@ant-design/icons";
import EditFolder from "@/components/EditFolder";
import DeleteFolder from "@/components/DeleteFolder";

import { useRouter } from "next/navigation";



const columns = [
  { name: "code", label: "编码" },
  { name: "faultType", label: "故障类型" },
  { name: "fault", label: "故障" },
  { name: "faultJudge", label: "判断条件" },
  { name: "faultReason", label: "故障原因" },
  { name: "faultFn", label: "解决方案" },
  { name: "faultMessage", label: "故障描述" },
];

export default function Detail({ params }) {
  //params.slug 路由传参获取
  const router = useRouter();

  const { data, refreshAsync } = useRequest(
    async () => {
      let res = await getFetch({
        url: "/api/collection/" + params.slug,
        params: {},
      });
      return res?.data;
    },
    {
      refreshDeps: [params.slug],
    }
  );

  return (
    <div className="flex w-full flex-col">
    <div className="flex gap-4">
      
       <Button
            isIconOnly
            color="primary"
            variant="faded"
            aria-label="Take a add"
            onPress={() => {
              router.back();
            }}
          >
            <ArrowLeftOutlined></ArrowLeftOutlined>
          </Button>
          <Button color="primary" variant="flat">
            {data?.name}
            </Button>  
<EditFolder data={data} refresh={refreshAsync}/>
<DeleteFolder data={data} refresh={refreshAsync}/>

            </div>

      <ul class="divide-y divide-gray-200">
        {columns?.map((it) => {
          return (
            <li class="flex items-center py-4" key={it?.name}>
              <div class="ml-4">
                <div class="text-sm font-medium text-gray-900">{it?.label}</div>
                <div class="text-sm text-gray-500">{data?.[it?.name]}</div>
              </div>
            </li>
          );
        })}
      </ul>
    </div>
  );
}
